[Ubuntu-US-CA] Thanks: Re: Jigdo - ubuntu-14.04.1-server-amd64.jigdo - 152 files could not be downloaded

Michael Paoli Michael.Paoli at cal.berkeley.edu
Sat Dec 20 06:46:29 UTC 2014


Thanks, that helps.

And with that, can (I'm presuming) rewrite the .jigdo file to use that.
Can also just run through the "usual" procedure with jigdo, and also
use that to generate the "missing" list (which I did earlier), then grab
those (semi-)"manually" with wget or the like, then run jigdo again
feeding it also location of those downloaded files to scan.

"Of course" there's also zsync, rsync, bittorrent, etc., but typically
if jigdo is feasible and available and I have quite recent similar (in
this case already having 14.04 - and jigdo generally minimizes data I
need to dowload), I'll typically update with jigdo (or zsync if jigdo
can't be done), and after that, seed it to bittorrent.

...

Anyway, have completed download+assembly+verification now, and now have
also seeded bittorrent (I typically do that until I've uploaded 1x to 4x
or more of the volume of data downloaded).


> From: "Geoffrey Thomas" <geofft at ldpreload.com>
> Subject: Re: [Ubuntu-US-CA] Jigdo -  
> ubuntu-14.04.1-server-amd64.jigdo - 152 files could not be downloaded
> Date: Fri, 19 Dec 2014 18:36:45 -0800 (PST)

> Interesting. My speculation is that, while Ubuntu keeps the packages  
> associated with the original release of trusty (14.04) in the  
> "trusty" pocket and the current versions in the "trusty-updates"  
> pocket, packages associated with 14.04.1 are in this weird no-man's  
> land -- they're post-release updates, but they're also not the  
> current versions. So nothing would be keeping them alive on the  
> mirrors, since they're not in any pocket.
>
> All historical versions of Ubuntu binary packages are kept on  
> Launchpad infrastructure: visiting a URL of the form
> https://launchpad.net/ubuntu/+archive/primary/+files/apport_2.14.1-0ubuntu3.2_all.deb
> will redirect you to a path inside https://launchpadlibrarian.net  
> that has the file you want.
>
> I wonder if you can easily rewrite the .jigdo file to use static  
> HTTP URLs of https://launchpad.net/ubuntu/+archive/primary/+files/*  
> instead of looking at a Debian mirror.
>
> -- 
> Geoffrey Thomas
> https://ldpreload.com
> geofft at ldpreload.com
>
> On Fri, 19 Dec 2014, Michael Paoli wrote:
>
>> Nice to have the jigdo file:
>> http://releases.ubuntu.com/14.04.1/ubuntu-14.04.1-server-amd64.jigdo
>> But alas:
>> $ jigdo-lite  
>> http://releases.ubuntu.com/14.04.1/ubuntu-14.04.1-server-amd64.jigd
>> o
>> ...
>> Aaargh - 152 files could not be downloaded. This should not
>> happen!
>>
>> Both us.archive.ubuntu.com and archive.ubuntu.com give 404 on the
>> missing files specified via the jigdo file.
>>
>> So ... anyone know where I can repoint to download those missing files?
>>
>> FYI, these are the files that show as missing:
>> apport_2.14.1-0ubuntu3.2_all.deb
>> apt-transport-https_1.0.1ubuntu2.1_amd64.deb
>> apt-utils_1.0.1ubuntu2.1_amd64.deb
>> clamav-base_0.98.1+dfsg-4ubuntu1.1_all.deb
>> clamav-daemon_0.98.1+dfsg-4ubuntu1.1_amd64.deb
>> clamav-freshclam_0.98.1+dfsg-4ubuntu1.1_amd64.deb
>> clamav_0.98.1+dfsg-4ubuntu1.1_amd64.deb
>> cups-bsd_1.7.2-0ubuntu1.1_amd64.deb
>> cups-client_1.7.2-0ubuntu1.1_amd64.deb
>> cups-common_1.7.2-0ubuntu1.1_all.deb
>> cups-core-drivers_1.7.2-0ubuntu1.1_amd64.deb
>> cups-daemon_1.7.2-0ubuntu1.1_amd64.deb
>> cups-ppdc_1.7.2-0ubuntu1.1_amd64.deb
>> cups-server-common_1.7.2-0ubuntu1.1_all.deb
>> cups_1.7.2-0ubuntu1.1_amd64.deb
>> dbus-x11_1.6.18-0ubuntu4.1_amd64.deb
>> dbus_1.6.18-0ubuntu4.1_amd64.deb
>> debian-installer-udebs_20101020ubuntu318.3_amd64.udeb
>> debootstrap-udeb_1.0.59ubuntu0.1_all.udeb
>> fdisk-udeb_2.20.1-5.1ubuntu20.1_amd64.udeb
>> gir1.2-glib-2.0_1.40.0-1ubuntu0.1_amd64.deb
>> gir1.2-gudev-1.0_204-5ubuntu20.3_amd64.deb
>> hv-kvp-daemon-init_3.13.0.32.38_amd64.deb
>> icedtea-7-jre-jamvm_7u55-2.4.7-1ubuntu1_amd64.deb
>> initrd.gz
>> language-selector-common_0.129.2_all.deb
>> libapache2-mod-php5_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> libapache2-mod-wsgi_3.4-4ubuntu2.1.14.04.1_amd64.deb
>> libapt-inst1.5_1.0.1ubuntu2.1_amd64.deb
>> libapt-pkg4.12_1.0.1ubuntu2.1_amd64.deb
>> libblkid1_2.20.1-5.1ubuntu20.1_amd64.deb
>> libclamav6_0.98.1+dfsg-4ubuntu1.1_amd64.deb
>> libcups2_1.7.2-0ubuntu1.1_amd64.deb
>> libcupscgi1_1.7.2-0ubuntu1.1_amd64.deb
>> libcupsimage2_1.7.2-0ubuntu1.1_amd64.deb
>> libcupsmime1_1.7.2-0ubuntu1.1_amd64.deb
>> libcupsppdc1_1.7.2-0ubuntu1.1_amd64.deb
>> libdbus-1-3_1.6.18-0ubuntu4.1_amd64.deb
>> libgirepository-1.0-1_1.40.0-1ubuntu0.1_amd64.deb
>> libgudev-1.0-0_204-5ubuntu20.3_amd64.deb
>> libmount1_2.20.1-5.1ubuntu20.1_amd64.deb
>> libmysqlclient18_5.5.38-0ubuntu0.14.04.1_amd64.deb
>> libnspr4_4.10.2-1ubuntu1.1_amd64.deb
>> libpam-smbpass_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> libpam-systemd_204-5ubuntu20.3_amd64.deb
>> librados2_0.80.1-0ubuntu1.1_amd64.deb
>> librbd1_0.80.1-0ubuntu1.1_amd64.deb
>> libsmbclient_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> libssl1.0.0_1.0.1f-1ubuntu2.4_amd64.deb
>> libsystemd-daemon0_204-5ubuntu20.3_amd64.deb
>> libsystemd-login0_204-5ubuntu20.3_amd64.deb
>> libudev1_204-5ubuntu20.3_amd64.deb
>> libuuid1_2.20.1-5.1ubuntu20.1_amd64.deb
>> libvirt-bin_1.2.2-0ubuntu13.1.1_amd64.deb
>> libvirt0_1.2.2-0ubuntu13.1.1_amd64.deb
>> libwbclient0_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> libxen-4.4_4.4.0-0ubuntu5.1_amd64.deb
>> libxenstore3.0_4.4.0-0ubuntu5.1_amd64.deb
>> libxml2-utils_2.9.1+dfsg1-3ubuntu4.3_amd64.deb
>> libxml2_2.9.1+dfsg1-3ubuntu4.3_amd64.deb
>> linux
>> linux-cloud-tools-virtual_3.13.0.32.38_amd64.deb
>> linux-firmware_1.127.5_all.deb
>> linux-generic_3.13.0.32.38_amd64.deb
>> linux-headers-generic_3.13.0.32.38_amd64.deb
>> linux-headers-server_3.13.0.32.38_amd64.deb
>> linux-headers-virtual_3.13.0.32.38_amd64.deb
>> linux-image-generic_3.13.0.32.38_amd64.deb
>> linux-image-server_3.13.0.32.38_amd64.deb
>> linux-image-virtual_3.13.0.32.38_amd64.deb
>> linux-libc-dev_3.13.0-32.57_amd64.deb
>> linux-server_3.13.0.32.38_amd64.deb
>> linux-signed-generic_3.13.0.32.38_amd64.deb
>> linux-signed-image-generic_3.13.0.32.38_amd64.deb
>> linux-virtual_3.13.0.32.38_amd64.deb
>> maas-cli_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> maas-cluster-controller_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> maas-common_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> maas-dhcp_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> maas-dns_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> maas-region-controller-min_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> maas-region-controller_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> maas_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> mount_2.20.1-5.1ubuntu20.1_amd64.deb
>> mysql-client-5.5_5.5.38-0ubuntu0.14.04.1_amd64.deb
>> mysql-client-core-5.5_5.5.38-0ubuntu0.14.04.1_amd64.deb
>> mysql-client_5.5.38-0ubuntu0.14.04.1_all.deb
>> mysql-common_5.5.38-0ubuntu0.14.04.1_all.deb
>> mysql-server-5.5_5.5.38-0ubuntu0.14.04.1_amd64.deb
>> mysql-server-core-5.5_5.5.38-0ubuntu0.14.04.1_amd64.deb
>> mysql-server_5.5.38-0ubuntu0.14.04.1_all.deb
>> nic-firmware_1.127.5_all.udeb
>> oem-config-debconf_2.18.8_all.deb
>> oem-config-udeb_2.18.8_all.udeb
>> oem-config_2.18.8_all.deb
>> openjdk-7-jre-headless_7u55-2.4.7-1ubuntu1_amd64.deb
>> openssl_1.0.1f-1ubuntu2.4_amd64.deb
>> php-pear_5.5.9+dfsg-1ubuntu4.3_all.deb
>> php5-cgi_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-cli_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-common_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-curl_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-gd_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-gmp_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-ldap_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-mysql_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-odbc_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-pgsql_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-pspell_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-readline_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-recode_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-snmp_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-sqlite_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-tidy_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-xmlrpc_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5-xsl_5.5.9+dfsg-1ubuntu4.3_amd64.deb
>> php5_5.5.9+dfsg-1ubuntu4.3_all.deb
>> python-django-maas_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> python-django_1.6.1-2ubuntu0.3_all.deb
>> python-maas-client_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> python-maas-provisioningserver_1.5.2+bzr2282-0ubuntu0.2_all.deb
>> python-samba_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> python3-apport_2.14.1-0ubuntu3.2_all.deb
>> python3-magic_5.14-2ubuntu3.1_all.deb
>> python3-problem-report_2.14.1-0ubuntu3.2_all.deb
>> python3-software-properties_0.92.37.1_all.deb
>> qemu-keymaps_2.0.0+dfsg-2ubuntu1.1_all.deb
>> qemu-kvm_2.0.0+dfsg-2ubuntu1.1_amd64.deb
>> qemu-system-common_2.0.0+dfsg-2ubuntu1.1_amd64.deb
>> qemu-system-x86_2.0.0+dfsg-2ubuntu1.1_amd64.deb
>> qemu-utils_2.0.0+dfsg-2ubuntu1.1_amd64.deb
>> samba-common-bin_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> samba-common_4.1.6+dfsg-1ubuntu2.14.04.2_all.deb
>> samba-doc_4.1.6+dfsg-1ubuntu2.14.04.2_all.deb
>> samba-dsdb-modules_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> samba-libs_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> samba-vfs-modules_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> samba_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> scsi-firmware_1.127.5_all.udeb
>> smbclient_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>> software-properties-common_0.92.37.1_all.deb
>> systemd-services_204-5ubuntu20.3_amd64.deb
>> tzdata-java_2014e-0ubuntu0.14.04_all.deb
>> tzdata_2014e-0ubuntu0.14.04_all.deb
>> ubiquity-frontend-debconf_2.18.8_amd64.deb
>> ubiquity-ubuntu-artwork_2.18.8_all.deb
>> ubiquity_2.18.8_amd64.deb
>> ubuntu-drivers-common_0.2.91.5_amd64.deb
>> udev_204-5ubuntu20.3_amd64.deb
>> util-linux_2.20.1-5.1ubuntu20.1_amd64.deb
>> uuid-runtime_2.20.1-5.1ubuntu20.1_amd64.deb
>> winbind_4.1.6+dfsg-1ubuntu2.14.04.2_amd64.deb
>>
>>
>> -- 
>> Ubuntu-us-ca mailing list
>> Ubuntu-us-ca at lists.ubuntu.com
>> Modify settings or unsubscribe at:  
>> https://lists.ubuntu.com/mailman/listinfo/ubuntu-us-ca
>
> -- 
> Ubuntu-us-ca mailing list
> Ubuntu-us-ca at lists.ubuntu.com
> Modify settings or unsubscribe at:  
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-us-ca
>





More information about the Ubuntu-us-ca mailing list